Last Comment Bug 750023 - Crash @ nsDOMBlobBuilder::Flush
: Crash @ nsDOMBlobBuilder::Flush
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla15
Assigned To: Masatoshi Kimura [:emk]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 696586
  Show dependency treegraph
 
Reported: 2012-04-29 00:35 PDT by Masatoshi Kimura [:emk]
Modified: 2012-05-11 14:46 PDT (History)
4 users (show)
dholbert: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
affected


Attachments
test case (506 bytes, text/html)
2012-04-29 00:35 PDT, Masatoshi Kimura [:emk]
no flags Details
Add a null check in nsXMLHttpRequest::CreatePartialBlob (2.12 KB, patch)
2012-04-29 00:38 PDT, Masatoshi Kimura [:emk]
no flags Details | Diff | Splinter Review
Add a null check in nsXMLHttpRequest::CreatePartialBlob (2.11 KB, patch)
2012-04-29 02:20 PDT, Masatoshi Kimura [:emk]
bugs: review+
Details | Diff | Splinter Review

Description Masatoshi Kimura [:emk] 2012-04-29 00:35:03 PDT
Created attachment 619362 [details]
test case

https://crash-stats.mozilla.com/report/index/bp-7cf58b26-e994-4125-9c57-90a1e2120429

Steps to reproduce:
Load the attached test case. (Do not download the test. it doesn't reproduce locally)
Comment 1 Masatoshi Kimura [:emk] 2012-04-29 00:38:02 PDT
Created attachment 619363 [details] [diff] [review]
Add a null check in nsXMLHttpRequest::CreatePartialBlob
Comment 2 Masatoshi Kimura [:emk] 2012-04-29 02:20:39 PDT
Created attachment 619375 [details] [diff] [review]
Add a null check in nsXMLHttpRequest::CreatePartialBlob

.response shouldn't throw even if aborted.
Comment 3 Olli Pettay [:smaug] 2012-04-29 03:22:29 PDT
Comment on attachment 619375 [details] [diff] [review]
Add a null check in nsXMLHttpRequest::CreatePartialBlob

> load 709384.html
> load 713417.html
> load 713417-2.html
> load 715056.html
> load 741163-1.html
>+HTTP(..) load xhr_abortinprogress.html

I have no idea what HTTP(..) means here.
Is it that the page is loaded from http: and not from file: ?
Comment 4 Masatoshi Kimura [:emk] 2012-04-29 03:39:42 PDT
Yes. crashtest is just a kind of reftest.
https://mxr.mozilla.org/mozilla-central/source/layout/tools/reftest/README.txt?rev=866777368827#176
Comment 5 Masatoshi Kimura [:emk] 2012-04-30 00:01:05 PDT
Pushed to try manually.
https://tbpl.mozilla.org/?tree=Try&rev=6b932928c210
Comment 6 Daniel Holbert [:dholbert] 2012-04-30 15:50:31 PDT
Try run looks good, so I pushed this to m-i:
  https://hg.mozilla.org/integration/mozilla-inbound/rev/28a8ddbe2070
Comment 8 Mozilla RelEng Bot 2012-05-11 14:46:45 PDT
Autoland Patchset:
	Patches: 619375
	Branch: mozilla-central => try
Patch 619375 could not be applied to mozilla-central.
file content/base/crashtests/xhr_abortinprogress.html already exists
1 out of 1 hunks FAILED -- saving rejects to file content/base/crashtests/xhr_abortinprogress.html.rej
patching file content/base/src/nsXMLHttpRequest.cpp
Hunk #1 FAILED at 1027
1 out of 1 hunks FAILED -- saving rejects to file content/base/src/nsXMLHttpRequest.cpp.rej
patch failed, unable to continue (try -v)
patch failed, rejects left in working dir

Patchset could not be applied and pushed.

Note You need to log in before you can comment on or make changes to this bug.